org.custommonkey.xmlunit

## Interface XpathEngine

All Known Implementing Classes:
  Jaxp13XpathEngine, SimpleXpathEngine

    public interface XpathEngine

Abstraction of an engine evaluating XPath expressions.

### Method Summary

Methods
`java.lang.String` `evaluate(java.lang.String select, org.w3c.dom.Document document)` Evaluate the result of executing the specified xpath syntax `select` expression on the specified document
`org.w3c.dom.NodeList` `getMatchingNodes(java.lang.String select, org.w3c.dom.Document document)` Execute the specified xpath syntax `select` expression on the specified document and return the list of nodes (could have length zero) that match
`void` `setNamespaceContext(NamespaceContext ctx)` Establish a namespace context.

### Method Detail

#### getMatchingNodes

    org.w3c.dom.NodeList getMatchingNodes(java.lang.String select,
                                        org.w3c.dom.Document document)
                                          throws XpathException

Execute the specified xpath syntax `select` expression on the specified document and return the list of nodes (could have length zero) that match

Parameters:
  `select` -
  `document` -
Returns:
  list of matching nodes
Throws:
  `XpathException`

#### evaluate

    java.lang.String evaluate(java.lang.String select,
                            org.w3c.dom.Document document)
                              throws XpathException

Evaluate the result of executing the specified xpath syntax `select` expression on the specified document

Parameters:
  `select` -
  `document` -
Returns:
  evaluated result
Throws:
  `XpathException`

#### setNamespaceContext

    void setNamespaceContext(NamespaceContext ctx)

Establish a namespace context.